载入中...
搜索中...
未找到
Public 类型 | Public 成员函数 | 所有成员列表
rapidjson::SchemaValidatingReader< parseFlags, InputStream, SourceEncoding, SchemaDocumentType, StackAllocator > 模板类 参考

A helper class for parsing with validation. 更多...

`#include <schema.h>`

## Public 类型
typedef SchemaDocumentType::PointerType | PointerType
typedef InputStream::Ch | Ch

## Public 成员函数
| SchemaValidatingReader (InputStream &is, const SchemaDocumentType &sd)
| Constructor
template<typename Handler >
bool | operator() (Handler &handler)
const ParseResult & | GetParseResult () const
bool | IsValid () const
const PointerType & | GetInvalidSchemaPointer () const
const Ch * | GetInvalidSchemaKeyword () const
const PointerType & | GetInvalidDocumentPointer () const

## 详细描述

template<unsigned parseFlags, typename InputStream, typename SourceEncoding, typename SchemaDocumentType = SchemaDocument, typename StackAllocator = CrtAllocator>
class rapidjson::SchemaValidatingReader< parseFlags, InputStream, SourceEncoding, SchemaDocumentType, StackAllocator >

A helper class for parsing with validation.

This helper class is a functor, designed as a parameter of GenericDocument::Populate().

模板参数

  parseFlags | Combination of ParseFlag.
  InputStream | Type of input stream, implementing Stream concept.
  SourceEncoding | Encoding of the input stream.
  SchemaDocumentType | Type of schema document.
  StackAllocator | Allocator type for stack.

## 构造及析构函数说明

## ◆ SchemaValidatingReader()

template<unsigned parseFlags, typename InputStream , typename SourceEncoding , typename SchemaDocumentType = SchemaDocument, typename StackAllocator = CrtAllocator>

rapidjson::SchemaValidatingReader< parseFlags, InputStream, SourceEncoding, SchemaDocumentType, StackAllocator >::SchemaValidatingReader | ( | InputStream & | is,
|  | const SchemaDocumentType & | sd )
| inline

Constructor

参数

  is | Input stream.
  sd | Schema document.

该类的文档由以下文件生成:

- include/rapidjson/schema.h